Cyberduck Mountain Duck CLI

#9362 closed enhancement (fixed)

Support multipart for copy transfer

Reported by: ahubers Owned by: dkocher
Priority: normal Milestone: 5.0
Component: s3 Version: 4.8.3
Severity: normal Keywords:
Cc: Architecture:
Platform: Mac OS X 10.10

Description (last modified by dkocher)

Cannot find anyone else with this problem in my google searches.

issue: getting this error when trying to transfer an 8.2 GB file from an FTP server to AWS s3.

Your proposed upload exceeds the maximum allowed size. Please contact your web hosting service provider for assistance.

http://i.imgur.com/noZylr4.png

The AMI user making the request has the following bucket policy:

{
    "Version": "2012-10-17",
    "Statement": [
        {
            "Effect": "Allow",
            "Action": [
                "s3:ListBucket",
                "s3:ListBucketMultipartUploads"
            ],
            "Resource": [
                "arn:aws:s3:::my-bucket-name"
            ]
        },
        {
            "Effect": "Allow",
            "Action": [
                "s3:PutObject",
                "s3:GetObject",
                "s3:DeleteObject",
                "s3:AbortMultipartUpload",
                "s3:ListMultipartUploadParts"
            ],
            "Resource": [
                "arn:aws:s3:::my-bucket-name/*"
            ]
        }
    ]
}

I have already followed the instructions here to enable multipart upload. https://trac.cyberduck.io/wiki/help/en/howto/s3#MultipartUploads

Also I am running 4.8.3 on max OS X Yosemite 10.10.4

Not sure why this is happening, because before I modified my bucket policy to include multipart upload, I was getting an S3 access denied response. Once I changed the policy, the error switched to this. Perhaps it is because I am uploading from ftp -> s3 instead of from my desktop?

Change History (8)

comment:1 Changed on Mar 12, 2016 at 8:23:47 PM by dkocher

  • Description modified (diff)
  • Milestone set to 4.8.4
  • Status changed from new to assigned

comment:2 Changed on Mar 12, 2016 at 8:25:01 PM by dkocher

  • Description modified (diff)
  • Summary changed from EntityTooLarge S3 error on transfer from ftp -> S3 with multipart upload enabled to EntityTooLarge S3 error for copy transfer

comment:3 Changed on Mar 12, 2016 at 8:25:55 PM by dkocher

Multipart uploads are enabled by default. Did you accidentally disable support for multipart upload by chance following the directions in the wiki?

comment:4 Changed on Mar 12, 2016 at 9:36:43 PM by ahubers

Hey,

thanks for looking into this. The command I executed was:

defaults write ~/Library/Preferences/ch.sudo.cyberduck.plist s3.upload.multipart true

comment:5 Changed on Mar 12, 2016 at 9:46:57 PM by dkocher

  • Milestone changed from 4.8.4 to 5.0

Currently multipart is not supported when copying files – therefore the failure.

comment:6 Changed on Mar 12, 2016 at 9:53:40 PM by ahubers

Okay thank you.

comment:7 Changed on Mar 16, 2016 at 2:03:28 PM by dkocher

  • Summary changed from EntityTooLarge S3 error for copy transfer to Support multipart for copy transfer
  • Type changed from defect to enhancement

comment:8 Changed on May 19, 2016 at 6:54:19 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r20547.

Note: See TracTickets for help on using tickets.
swiss made software